﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PsychoTerror
{
    //Enthält Eigenschaften des Levels bzw. Eigenschaften bzgl. des Spielens im aktuellen Level
    class Level
    {
        int[] landschaft;
        int levelNummer;

        //Konstruktor
        public Level()
        {
            LevelNummer = 1;
            LevelAnzahl = 20;
            Gewonnen = false;
            Verloren = false;
            Restart = false;
            SkippedLevels = false;
            Level5Erreicht = false;
            Level10Erreicht = false;
            Level15Erreicht = false;
        }

        //Boolflags
        public bool Gewonnen { get; set; }
        public bool Verloren { get; set; }
        public bool Restart { get; set; }
        public bool SkippedLevels { get; set; }
        public bool Level5Erreicht { get; set; }
        public bool Level10Erreicht { get; set; }
        public bool Level15Erreicht { get; set; }

        public int LevelAnzahl { get; set; }

        public int LevelNummer 
        { 
            get { return levelNummer;}
            set 
            {
                levelNummer = value;
                switch (levelNummer)    //Daten für Bodenstücke in den einzelnen Levels
                {
                    case 1:
                        landschaft = new int[] { 100, 100, 100, 100, 100, 100, 100, 100 };
                        break;
                    case 2:
                        landschaft = new int[] { 100, 100, 200, 100, 100, 200, 300, 200 };
                        break;
                    case 3:
                        landschaft = new int[] { 100, 200, 300, 000, 150, 100, 100, 200 };
                        break;
                    case 4:
                        landschaft = new int[] { 100, 000, 120, 000, 140, 240, 100, 200 };
                        break;
                    case 5:
                        landschaft = new int[] { 150, 150, 000, 100, 210, 000, 100, 080 };
                        break;
                    case 6:
                        landschaft = new int[] { 200, 300, 300, 000, 300, 100, 120, 140 };
                        break;
                    case 7:
                        landschaft = new int[] { 320, 150, 250, 350, 000, 050, 160, 270 };
                        break;
                    case 8:
                        landschaft = new int[] { 100, 115, 130, 145, 160, 175, 000, 200 }; 
                        break;
                    case 9:
                        landschaft = new int[] { 320, 200, 310, 420, 000, 000, 020, 130 };
                        break;
                    case 10:
                        landschaft = new int[] { 200, 020, 130, 040, 150, 060, 000, 130 }; 
                        break;
                    case 11:
                        landschaft = new int[] { 220, 000, 220, 220, 000, 220, 220, 000 };
                        break;
                    case 12:
                        landschaft = new int[] { 100, 100, 200, 100, 100, 200, 300, 000 };
                        break;
                    case 13:
                        landschaft = new int[] { 100, 200, 300, 000, 150, 100, 100, 200 };
                        break;
                    case 14:
                        landschaft = new int[] { 100, 000, 120, 000, 140, 240, 100, 200 };
                        break;
                    case 15:
                        landschaft = new int[] { 250, 150, 000, 100, 210, 000, 100, 080 };
                        break;
                    case 16:
                        landschaft = new int[] { 200, 300, 300, 000, 300, 100, 120, 140 };
                        break;
                    case 17:
                        landschaft = new int[] { 320, 150, 250, 350, 000, 050, 160, 270 };
                        break;
                    case 18:
                        landschaft = new int[] { 100, 115, 130, 145, 160, 000, 175, 200 };
                        break;
                    case 19:
                        landschaft = new int[] { 320, 200, 310, 420, 000, 000, 020, 130 };
                        break;
                    case 20:
                        landschaft = new int[] { 110, 020, 130, 040, 150, 060, 000, 130 };
                        break;
                }
            }
        }

        public int[] Landschaft
        {
            get { return landschaft; }
        }

    }
}
